---

- name: Determine architecture
  set_fact:
    nomad_arch: "{{ 'arm64' if ansible_architecture == 'aarch64' else 'amd64' }}"

- name: Download Nomad
  get_url:
    url: "https://releases.hashicorp.com/nomad/{{ packer_vars.nomad_version }}/nomad_{{ packer_vars.nomad_version }}_linux_{{ nomad_arch }}.zip"
    dest: "/tmp/nomad.zip"

- name: Unarchive Nomad
  unarchive:
    src: "/tmp/nomad.zip"
    dest: "/bin"
    remote_src: yes

- name: Make Nomad executable
  file:
    path: "/bin/nomad"
    mode: "u+x"

- name: Verify Nomad installation
  shell: nomad --version
  register: installed_nomad_version

- name: Print installed Nomad version
  debug:
    var: installed_nomad_version.stdout